Tycho RFQ

List the chains Aqua0 serves for Tycho

Returns the chains Tycho hosts, the chains Aqua0 serves and can execute on, and the Tycho router on each.

GET
/api/tycho/rfq/chains

Response Body

application/json

curl -X GET "https://example.com/api/tycho/rfq/chains"
{  "tychoHostedChainIds": [    1,    8453,    130  ],  "aqua0StateChainIds": [    137,    143,    4663,    5042,    8453,    42161,    42220,    43114  ],  "executionChainIds": [    137,    4663,    8453,    42161  ],  "unsupportedExecutionChainIds": [    143,    5042,    42220,    43114  ],  "routerV3ByChainId": {    "137": "0xbd4e6011F03355C2A377Fd9Af939322A7d0A1bC1",    "4663": "0x09215a470bD585E59EB3F4B612fBD2678131fF9e",    "8453": "0xAbA5B53b03eAfaD1C5fc8BD5Fc765fC85Bb3de67",    "42161": "0x924F147c50eA59f5180a26031A8b65B2aA1e81Cd"  }}